%define major 2
%define libname %mklibname cole %{major}
%define devname %mklibname cole -d

Summary:	Excel 95 and later file converter
Name:		xlhtml
Version:	0.5
Release:	14
License:	GPLv2+
Group:		Text tools
Url:		http://chicago.sourceforge.net/xlhtml/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		xlhtml-0.5.diff
Requires:	xlhtml-cole

%description
xlHtml is an Excel 95 and later file converter. Its html output can be
used as a Netscape Plug-in to let you view xls e-mail attachments. It
can also extract regions of a spreadsheet and convert the spreadsheet
to pure text rather than html.

%files
%doc xlhtml/TODO xlhtml/README README-ppthtml
%{_bindir}/nsopen
%{_bindir}/nspptview
%{_bindir}/nsxlview
%{_bindir}/ppthtml
%{_bindir}/xlhtml
%{_mandir}/*/*

#----------------------------------------------------------------------------

%package -n xlhtml-cole
Summary:	Free C OLE library
Group:		Text tools

%description -n xlhtml-cole
Using cole, you can access Microsoft "Structured Storage" files. The
most popular Microsoft programs generate "Structured Storage" files,
including the Microsoft suite for offices. StarDivision's suite
(StarOffice) generates "Structured Storage" files, too. FlashPix file
format is "Structured Storage", too.

%files -n xlhtml-cole
%doc AUTHORS COPYING ChangeLog NEWS cole/TODO README
%{_bindir}/cole_extract
%{_bindir}/cole_isfs
%{_bindir}/cole_isfs_fast
%{_bindir}/cole_tree

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Free C OLE shared library
Group:		System/Libraries
Conflicts:	xlhtml-cole < 0.5-14

%description -n %{libname}
Free C OLE shared library.

%files -n %{libname}
%{_libdir}/libcole.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for free C OLE shared library
Group:		Development/C++
Provides:	%{name}-devel = %{EVRD}
Provides:	cole-devel = %{EVRD}
Conflicts:	xlhtml-cole < 0.5-14

%description -n %{devname}
Development files for free C OLE shared library.

%files -n %{devname}
%{_bindir}/cole-config
%{_libdir}/libcole.so
%{_includedir}/cole

#----------------------------------------------------------------------------

%prep
%setup -q
%patch -p0

mv ppthtml/README README-ppthtml

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make
%make -C cole/utils

%install
%makeinstall_std
# xlhtml-cole
install -m 755 cole/cole-config %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}/cole
install cole/cole.h %{buildroot}%{_includedir}/cole
install cole/utils/cole_extract %{buildroot}%{_bindir}
install cole/utils/cole_isfs %{buildroot}%{_bindir}
install cole/utils/cole_isfs_fast %{buildroot}%{_bindir}
install cole/utils/cole_tree %{buildroot}%{_bindir}


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.5-14
- (6e0559b) Bump release


